// MSAECoercions.h
//
// Original version by Jon Lansdell and Nigel Humphreys.
// 4.0 and 3.1 updates by Greg Sutton.

// Apple Computer Inc 1996, all rights reserved.

#ifndef __MSAECOERCIONS__
#define __MSAECOERCIONS__

#include <AppleEvents.h>
#include <AEObjects.h>
#include <AERegistry.h>

OSErr			InstallCoercions(void);

pascal OSErr	CoerceObjToAnything(const AEDesc	*theAEDesc,
									DescType		toType,
    								long			handlerRefCon,
									AEDesc			*result);

pascal OSErr	CoerceDocumentToText(AEDesc	*theAEDesc,
									DescType		toType,
    								long			handlerRefCon,
									AEDesc			*result);

pascal OSErr	CoerceDocumentPropertyToText(AEDesc		*theAEDesc,
											DescType	toType,
    										long		handlerRefCon,
											AEDesc		*result);

pascal OSErr	CoerceDocumentToWindow( DescType	typeCode,
										Ptr			dataPtr,
										Size		dataSize,
										DescType	toType,
										long		handlerRefcon,
										AEDesc*		result );

#endif
