// MSAECountElements.h
//
// Original version by Jon Lansdell and Nigel Humphreys.
// 4.0 and 3.1 updates by Greg Sutton.
// Apple Computer Inc 1996, all rights reserved.

#ifndef __MSAECOUNTELEMENTS__
#define __MSAECOUNTELEMENTS__

#include <AppleEvents.h>
#include <AEObjects.h>
#include <AERegistry.h>

pascal OSErr	DoCountElements(const AppleEvent	*theAppleEvent,
									  AppleEvent 	*reply,
								  	  long 			handlerRefCon);

pascal OSErr	MyCountProc(DescType desiredType, DescType containerClass,
										const AEDesc *container, long* result);

OSErr			GetDescForNumberOfElements(DescType desiredType,
											AEDesc* container, AEDesc* result);

#endif
