// MSAEMove.h
//
// Original version by Jon Lansdell and Nigel Humphreys.
// 4.0 and 3.1 updates by Greg Sutton.
// Apple Computer Inc 1996, all rights reserved.

#ifndef __MSAEMOVE__
#define __MSAEMOVE__

#include <AppleEvents.h>
#include <AEObjects.h>
#include <AERegistry.h>

#include "MSToken.h"


pascal OSErr	DoMove(const AppleEvent *theAppleEvent, AppleEvent *reply, long  handlerRefCon);

OSErr			MoveTextToken(TextToken* token, AEDesc* insertHereDesc, AEDesc* result);
OSErr			MoveTextDesc(AEDesc* textDesc, AEDesc* insertHereDesc, AEDesc* result);
OSErr			MoveDesc(AEDesc* aDesc, AEDesc* insertHereDesc, AEDesc* result);

#endif
