/*
	File:		SVAECreate.h

	Contains:	

	Written by: Original version by Jon Lansdell and Nigel Humphreys.
				3.1 updates by Greg Sutton.

	Copyright:	Copyright  1995-1999 by Apple Computer, Inc., All Rights Reserved.

				You may incorporate this Apple sample source code into your program(s) without
				restriction. This Apple sample source code has been provided "AS IS" and the
				responsibility for its operation is yours. You are not permitted to redistribute
				this Apple sample source code as "Apple sample source code" after having made
				changes. If you're going to re-distribute the source, we require that you make
				it clear in the source that the code was descended from Apple sample source
				code, but that you've made changes.

	Change History (most recent first):
				7/20/1999	Karl Groethe	Updated for Metrowerks Codewarror Pro 2.1
				

*/

#ifndef __SVAECREATE__
#define __SVAECREATE__

#include <AppleEvents.h>
#include <AEObjects.h>
#include <AERegistry.h>

#include "SVToken.h"

pascal OSErr	DoNewElement(const AppleEvent	*theAppleEvent,
									AppleEvent	*reply, 
									long		handlerRefCon);

OSErr			CreateWindow(AEDesc* dataDesc, AEDesc* insertHereDesc,
										AEDesc* propertyDesc, AEDesc* result);

OSErr			GetBehindWindow(AEDesc* insertDesc, DescType insertType, WindowPtr* behindWindow);
OSErr			SetWindowPropertyRecord(WindowPtr theWindow, AEDesc* propertyRecord);
OSErr			SetWindowData(WindowPtr theWindow, AEDesc* dataDesc);

OSErr			CreateText(DescType textType, AEDesc* dataDesc, AEDesc* insertHereDesc,
													AEDesc* propertyDesc, AEDesc* result);
OSErr			GetInsertToken(AEDesc* insertDesc, DescType insertType, TextToken* resultToken);
OSErr			CreateAtTextToken(DescType textType, const AEDesc* dataDesc, TextToken* theToken,
														AEDesc* propertyDesc, AEDesc* result);
OSErr			SetTextPropertyRecord(TextToken* aTextToken, AEDesc* propertyRecord);

#endif
