/*
	File:		SVAEGetData.h

	Contains:	

	Written by: Original version by Jon Lansdell and Nigel Humphreys.
				3.1 updates by Greg Sutton.

	Copyright:	Copyright  1995-1999 by Apple Computer, Inc., All Rights Reserved.

				You may incorporate this Apple sample source code into your program(s) without
				restriction. This Apple sample source code has been provided "AS IS" and the
				responsibility for its operation is yours. You are not permitted to redistribute
				this Apple sample source code as "Apple sample source code" after having made
				changes. If you're going to re-distribute the source, we require that you make
				it clear in the source that the code was descended from Apple sample source
				code, but that you've made changes.

	Change History (most recent first):
				7/20/1999	Karl Groethe	Updated for Metrowerks Codewarror Pro 2.1
				

*/

#ifndef __SVAEGETDATA__
#define __SVAEGETDATA__

#include <AppleEvents.h>
#include <AEObjects.h>
#include <AERegistry.h>


#include "SVToken.h"


pascal OSErr	DoGetData(const AppleEvent	*theAppleEvent,
								AppleEvent	*reply,
								long		handlerRefCon);

pascal OSErr	DoGetDataSize(const AppleEvent	*theAppleEvent,
									AppleEvent	*reply,
									long		handlerRefCon);

OSErr			HandleGetData(AEDesc *theObj, AEDesc *dataDesc);

OSErr 			GetTextProperty(const AEDesc *theTokenDesc, AEDesc *dataDesc);
OSErr			DoGetWindowProperty(const AEDesc *theWPTokenObj, AEDesc *dataDesc);
OSErr			GetApplicationProperty(const AEDesc *theObjToken, AEDesc *result);
OSErr			GetMenuProperty(const AEDesc *theObjToken, AEDesc *dataDesc);
//OSErr			DoGetMenuItemProperty(const AEDesc *theObjToken, AEDesc *dataDesc);

OSErr			GetTextTextProperty(TextToken* theToken, AEDesc *dataDesc);
#endif
