/*------------------------------------------------------------------------------
*
*  Apple Developer Technical Support
*
*  AppleEvent Coercion Handler and INIT sample
*
*  Program:    AECoercionINIT
*  File: AECoercionINIT.r -    Rez Source
*
*  by:   C.K. Haun <TR>
*
*  Copyright  1991 Apple Computer, Inc.
*  All rights reserved.
*
*------------------------------------------------------------------------------
* This file contains the resource definitions for everything in our INIT
* but the code.
*  NOTE: The string resources are marked as "sysheap" and MUST
* be kept that way!  See the caution in the InstallCoercions.c file.
*------------------------------------------------------------------------------
*/

#include "Types.r"
#include "Systypes.r"
resource 'vers' (1) {
	0x1,
	0x0,
	release,
	0x0,
	verUS,
	"1.0",
	"AECoercionINIT,  1991 Apple Computer In"
	"c.  Written by C.K. Haun <TR>"
};

resource 'vers' (2) {
	0x1,
	0x0,
	release,
	0x0,
	verUS,
	"1.0",
	"AECoercionINIT"
};

resource 'STR ' (128, sysheap) {
	"FALSE"
};

resource 'STR ' (129, sysheap) {
	"TRUE"
};

resource 'ics8' (128) {
	$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FF00"
	$"FFF6 F6F6 F6F6 F6F6 F6F6 F6F6 F6F6 FF00"
	$"FFF6 F6F6 F6F6 F6F6 F6F6 F6F6 F6F6 FF00"
	$"FFF6 F6F6 F6F6 F6F6 F6F6 F6F6 F6F6 FF00"
	$"FFFF F6F6 F6F6 F6F6 F6F6 F6F6 F6F6 FFFF"
	$"FFFF F6F6 F6F6 F6F6 F6F6 F6F6 F6F6 FFFF"
	$"00FF F6F6 F6E3 F6F6 F6F6 E3F6 F6F6 F6FF"
	$"00FF F6F6 F6E3 F6F6 F6F6 E3F6 F6F6 F6FF"
	$"00FF F6F6 F6E3 F6F6 F6F6 E3F6 F6F6 F6FF"
	$"00FF F6F6 F6F6 F6F6 F6F6 F6F6 F6F6 F6FF"
	$"FFFF F6F6 F6F6 F6F6 F6F6 F6F6 F6F6 FFFF"
	$"FFFF F6F6 F6F6 F6F6 F6F6 F6F6 F6F6 FFFF"
	$"FFF6 F6F6 F6F6 F6F6 F6F6 F6F6 F6F6 FF00"
	$"FFF6 F6F6 F6F6 F6F6 F6F6 F6F6 F6F6 FF00"
	$"FFF6 F6F6 F6F6 F6F6 F6F6 F6F6 F6F6 FF00"
	$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FF"
};

resource 'ics4' (128) {
	$"FFFF FFFF FFFF FFF0 FCCC CCCC CCCC CCF0"
	$"FCCC CCCC CCCC CCF0 FCCC CCCC CCCC CCF0"
	$"FFCC CCCC CCCC CCFF FFCC CCCC CCCC CCFF"
	$"0FCC C8CC CC8C CCCF 0FCC C8CC CC8C CCCF"
	$"0FCC C8CC CC8C CCCF 0FCC CCCC CCCC CCCF"
	$"FFCC CCCC CCCC CCFF FFCC CCCC CCCC CCFF"
	$"FCCC CCCC CCCC CCF0 FCCC CCCC CCCC CCF0"
	$"FCCC CCCC CCCC CCF0 FFFF FFFF FFFF FFF0"
};

resource 'ics#' (128) {
	{	/* array: 2 elements */
		/* [1] */
		$"FFFE 8002 9EF2 96B2 DEF3 CC63 4C61 5DE9"
		$"5EF1 4C61 C6E3 CA83 8AE2 8EE2 8002 FFFE",
		/* [2] */
		$"FFFC FFFE FFFE FFFE FFFE FFFF 7FFF 7FFF"
		$"7FFF 7FFF 7FFF 7FFF FFFF FFFE FFFE FFFE"
	}
};

resource 'ICN#' (128) {
	{	/* array: 2 elements */
		/* [1] */
		$"7FFF FFF0 8000 0008 8000 0008 8000 0008"
		$"80C4 3108 8124 4908 8124 4908 8124 4908"
		$"A124 4908 D0C4 310A 9000 000D 1050 1409"
		$"1050 1401 1050 1401 1050 1401 1252 9481"
		$"1154 5501 10D8 3601 1070 1C01 1020 0801"
		$"1000 0009 9038 F80D D044 800A A044 8008"
		$"8044 F008 8044 0808 8044 0808 8038 F008"
		$"8000 0008 8000 0008 8000 0008 7FFF FFF0",
		/* [2] */
		$"7FFF FFF0 FFFF FFF8 FFFF FFF8 FFFF FFF8"
		$"FFFF FFF8 FFFF FFF8 FFFF FFF8 FFFF FFF8"
		$"FFFF FFF8 DFFF FFFA 9FFF FFFF 1FFF FFFF"
		$"1FFF FFFF 1FFF FFFF 1FFF FFFF 1FFF FFFF"
		$"1FFF FFFF 1FFF FFFF 1FFF FFFF 1FFF FFFF"
		$"1FFF FFFF 1FFF FFFF 9FFF FFFF DFFF FFFA"
		$"FFFF FFF8 FFFF FFF8 FFFF FFF8 FFFF FFF8"
		$"FFFF FFF8 FFFF FFF8 FFFF FFF8 FFFF FFF8"
	}
};

resource 'icl8' (128) {
	$"00FF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
	$"FFFF FFFF FFFF FFFF FFFF FFFF 0000 0000"
	$"FF00 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 FF00 0000"
	$"FF00 F6F6 F6F6 F6F6 F6F6 F6F6 F6F6 F6F6"
	$"F6F6 F6F6 F6F6 F6F6 F6F6 F6F6 FF00 0000"
	$"FF00 F6F6 F6F6 F6F6 F6F6 F6F6 F6F6 F6F6"
	$"F6F6 F6F6 F6F6 F6F6 F6F6 F6F6 FF00 0000"
	$"FF00 F6F6 F6F6 F6F6 D8D8 F6F6 F6D8 F6F6"
	$"F6F6 D8D8 F6F6 F6D8 F6F6 F6F6 FF00 0000"
	$"FF00 F6F6 F6F6 F6D8 F6F6 D8F6 F6D8 F6F6"
	$"F6D8 F6F6 D8F6 F6D8 F6F6 F6F6 FF00 0000"
	$"FF00 F6F6 F6F6 F6D8 F6F6 D8F6 F6D8 F6F6"
	$"F6D8 F6F6 D8F6 F6D8 F6F6 F6F6 FF00 0000"
	$"FF00 00F6 F6F6 F6D8 F6F6 D8F6 F6D8 F6F6"
	$"F6D8 F6F6 D8F6 F6D8 F6F6 F6F6 FF00 0000"
	$"FF00 FF00 F6F6 F6D8 F6F6 D8F6 F6D8 F6F6"
	$"F6D8 F6F6 D8F6 F6D8 F6F6 F6F6 FF00 0000"
	$"FFFF 00FF 00F6 F6F6 D8D8 F6F6 F6D8 F6F6"
	$"F6F6 D8D8 F6F6 F6D8 F6F6 F6F6 FF00 FF00"
	$"FF00 00FF 00F6 F6F6 F6F6 F6F6 F6F6 F6F6"
	$"F6F6 F6F6 F6F6 F6F6 F6F6 F6F6 FFFF 00FF"
	$"0000 00FF 00F6 F6F6 F6E3 92E3 F6F6 F6F6"
	$"F6F6 F6E3 92E3 F6F6 F6F6 F6F6 FF00 F6FF"
	$"0000 00FF 00F6 F6F6 F6E3 92E3 F6F6 F6F6"
	$"F6F6 F6E3 92E3 F6F6 F6F6 F6F6 F6F6 F6FF"
	$"0000 00FF 00F6 F6F6 F6E3 92E3 F6F6 F6F6"
	$"F6F6 F6E3 92E3 F6F6 F6F6 F6F6 F6F6 F6FF"
	$"0000 00FF 00F6 F6F6 F6E3 92E3 F6F6 F6F6"
	$"F6F6 F6E3 92E3 F6F6 F6F6 F6F6 F6F6 F6FF"
	$"0000 00FF 00F6 E3F6 F6E3 92E3 F6F6 E3F6"
	$"E3F6 F6E3 92E3 F6F6 E3F6 F6F6 F6F6 F6FF"
	$"0000 00FF 00F6 F6E3 F6E3 92E3 F6E3 F6F6"
	$"F6E3 F6E3 92E3 F6E3 F6F6 F6F6 F6F6 F6FF"
	$"0000 00FF 00F6 F6F6 E3E3 92E3 E3F6 F6F6"
	$"F6F6 E3E3 92E3 E3F6 F6F6 F6F6 F6F6 F6FF"
	$"0000 00FF 00F6 F6F6 F6E3 E3E3 F6F6 F6F6"
	$"F6F6 F6E3 E3E3 F6F6 F6F6 F6F6 F6F6 F6FF"
	$"0000 00FF 00F6 F6F6 F6F6 E3F6 F6F6 F6F6"
	$"F6F6 F6F6 E3F6 F6F6 F6F6 F6F6 F6F6 F6FF"
	$"0000 00FF 00F6 F6F6 F6F6 F6F6 F6F6 F6F6"
	$"F6F6 F6F6 F6F6 F6F6 F6F6 F6F6 FFF6 F6FF"
	$"FF00 00FF 00F6 F6F6 F6F6 C0C0 C0F6 F6F6"
	$"C0C0 C0C0 C0F6 F6F6 F6F6 F6F6 FFFF F6FF"
	$"FFFF 00FF 00F6 F6F6 F6C0 F6F6 F6C0 F6F6"
	$"C0F6 F6F6 F6F6 F6F6 F6F6 F6F6 FF00 FF00"
	$"FF00 FF00 F6F6 F6F6 F6C0 F6F6 F6C0 F6F6"
	$"C0F6 F6F6 F6F6 F6F6 F6F6 F6F6 FF00 0000"
	$"FF00 F6F6 F6F6 F6F6 F6C0 F6F6 F6C0 F6F6"
	$"C0C0 C0C0 F6F6 F6F6 F6F6 F6F6 FF00 0000"
	$"FF00 F6F6 F6F6 F6F6 F6C0 F6F6 F6C0 F6F6"
	$"F6F6 F6F6 C0F6 F6F6 F6F6 F6F6 FF00 0000"
	$"FF00 F6F6 F6F6 F6F6 F6C0 F6F6 F6C0 F6F6"
	$"F6F6 F6F6 C0F6 F6F6 F6F6 F6F6 FF00 0000"
	$"FF00 F6F6 F6F6 F6F6 F6F6 C0C0 C0F6 F6F6"
	$"C0C0 C0C0 F6F6 F6F6 F6F6 F6F6 FF00 0000"
	$"FF00 F6F6 F6F6 F6F6 F6F6 F6F6 F6F6 F6F6"
	$"F6F6 F6F6 F6F6 F6F6 F6F6 F6F6 FF00 0000"
	$"FF00 F6F6 F6F6 F6F6 F6F6 F6F6 F6F6 F6F6"
	$"F6F6 F6F6 F6F6 F6F6 F6F6 F6F6 FF00 0000"
	$"FF00 F6F6 F6F6 F6F6 F6F6 F6F6 F6F6 F6F6"
	$"F6F6 F6F6 F6F6 F6F6 F6F6 F6F6 FF00 0000"
	$"00FF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
	$"FFFF FFFF FFFF FFFF FFFF FFFF"
};

resource 'icl4' (128) {
	$"0FFF FFFF FFFF FFFF FFFF FFFF FFFF 0000"
	$"F000 0000 0000 0000 0000 0000 0000 F000"
	$"F0CC CCCC CCCC CCCC CCCC CCCC CCCC F000"
	$"F0CC CCCC CCCC CCCC CCCC CCCC CCCC F000"
	$"F0CC CCCC 33CC C3CC CC33 CCC3 CCCC F000"
	$"F0CC CCC3 CC3C C3CC C3CC 3CC3 CCCC F000"
	$"F0CC CCC3 CC3C C3CC C3CC 3CC3 CCCC F000"
	$"F00C CCC3 CC3C C3CC C3CC 3CC3 CCCC F000"
	$"F0F0 CCC3 CC3C C3CC C3CC 3CC3 CCCC F000"
	$"FF0F 0CCC 33CC C3CC CC33 CCC3 CCCC F0F0"
	$"F00F 0CCC CCCC CCCC CCCC CCCC CCCC FF0F"
	$"000F 0CCC C878 CCCC CCC8 78CC CCCC F0CF"
	$"000F 0CCC C878 CCCC CCC8 78CC CCCC CCCF"
	$"000F 0CCC C878 CCCC CCC8 78CC CCCC CCCF"
	$"000F 0CCC C878 CCCC CCC8 78CC CCCC CCCF"
	$"000F 0C8C C878 CC8C 8CC8 78CC 8CCC CCCF"
	$"000F 0CC8 C878 C8CC C8C8 78C8 CCCC CCCF"
	$"000F 0CCC 8878 8CCC CC88 788C CCCC CCCF"
	$"000F 0CCC C888 CCCC CCC8 88CC CCCC CCCF"
	$"000F 0CCC CC8C CCCC CCCC 8CCC CCCC CCCF"
	$"000F 0CCC CCCC CCCC CCCC CCCC CCCC FCCF"
	$"F00F 0CCC CC77 7CCC 7777 7CCC CCCC FFCF"
	$"FF0F 0CCC C7CC C7CC 7CCC CCCC CCCC F0F0"
	$"F0F0 CCCC C7CC C7CC 7CCC CCCC CCCC F000"
	$"F0CC CCCC C7CC C7CC 7777 CCCC CCCC F000"
	$"F0CC CCCC C7CC C7CC CCCC 7CCC CCCC F000"
	$"F0CC CCCC C7CC C7CC CCCC 7CCC CCCC F000"
	$"F0CC CCCC CC77 7CCC 7777 CCCC CCCC F000"
	$"F0CC CCCC CCCC CCCC CCCC CCCC CCCC F000"
	$"F0CC CCCC CCCC CCCC CCCC CCCC CCCC F000"
	$"F0CC CCCC CCCC CCCC CCCC CCCC CCCC F000"
	$"0FFF FFFF FFFF FFFF FFFF FFFF FFFF"
};

data 'FREF' (128) {
	$"494E 4954 0000 01"                                  /* INIT... */
};

data 'cicn' (128) {
	$"0000 0000 8010 0000 0000 0020 0020 0000"            /* .......... . .. */
	$"0000 0000 0000 0048 0000 0048 0000 0000"            /* .......H...H.... */
	$"0004 0001 0004 0000 0000 0000 0000 0000"            /* ................ */
	$"0000 0000 0000 0004 0000 0000 0020 0020"            /* ............. .  */
	$"0000 0000 0004 0000 0000 0020 0020 0000"            /* ........... . .. */
	$"0000 7FFF FFF0 FFFF FFF8 FFFF FFF8 FFFF"            /* ... */
	$"FFF8 FFFF FFF8 FFFF FFF8 FFFF FFF8 FFFF"            /*  */
	$"FFF8 FFFF FFF8 DFFF FFFA 9FFF FFFF 1FFF"            /* . */
	$"FFFF 1FFF FFFF 1FFF FFFF 1FFF FFFF 1FFF"            /* .... */
	$"FFFF 1FFF FFFF 1FFF FFFF 1FFF FFFF 1FFF"            /* .... */
	$"FFFF 1FFF FFFF 1FFF FFFF 9FFF FFFF DFFF"            /* .. */
	$"FFFA FFFF FFF8 FFFF FFF8 FFFF FFF8 FFFF"            /*  */
	$"FFF8 FFFF FFF8 FFFF FFF8 FFFF FFF8 FFFF"            /*  */
	$"FFF8 7FFF FFF0 8000 0008 8000 0008 8000"            /* ........ */
	$"0008 80C4 3108 8124 4908 8124 4908 8124"            /* ..1.$I.$I.$ */
	$"4908 A124 4908 D0C4 310A 9000 000D 1050"            /* I.$I.1....P */
	$"1409 1050 1401 1050 1401 1050 1401 1252"            /* ..P...P...P...R */
	$"9481 1154 5501 10D8 3601 1070 1C01 1020"            /* .TU..6..p...  */
	$"0801 1000 0009 9038 F80D D044 800A A044"            /* .....Ɛ8D.D */
	$"8008 8044 F008 8044 0808 8044 0808 8038"            /* .D.D..D..8 */
	$"F008 8000 0008 8000 0008 8000 0008 7FFF"            /* ........... */
	$"FFF0 0000 0000 0000 0006 0000 FFFF FFFF"            /* .......... */
	$"FFFF 0001 3333 FFFF 9999 0002 0000 BBBB"            /* ..33.... */
	$"0000 0003 0000 9999 FFFF 0004 DDDD DDDD"            /* ........ */
	$"DDDD 0005 DDDD 0000 0000 000F 0000 0000"            /* ............ */
	$"0000 0FFF FFFF FFFF FFFF FFFF FFFF FFFF"            /* ... */
	$"0000 F000 0000 0000 0000 0000 0000 0000"            /* ............... */
	$"F000 F044 4444 4444 4444 4444 4444 4444"            /* .DDDDDDDDDDDDD */
	$"F000 F044 4444 4444 4444 4444 4444 4444"            /* .DDDDDDDDDDDDD */
	$"F000 F044 4444 5544 4544 4455 4445 4444"            /* .DDDUDEDDUDEDD */
	$"F000 F044 4445 4454 4544 4544 5445 4444"            /* .DDEDTEDEDTEDD */
	$"F000 F044 4445 4454 4544 4544 5445 4444"            /* .DDEDTEDEDTEDD */
	$"F000 F004 4445 4454 4544 4544 5445 4444"            /* ..DEDTEDEDTEDD */
	$"F000 F0F0 4445 4454 4544 4544 5445 4444"            /* .DEDTEDEDTEDD */
	$"F000 FF0F 0444 5544 4544 4455 4445 4444"            /* ...DUDEDDUDEDD */
	$"F0F0 F00F 0444 4444 4444 4444 4444 4444"            /* ..DDDDDDDDDDD */
	$"FF0F 000F 0444 4212 4444 4442 1244 4444"            /* ....DB.DDDB.DDD */
	$"F04F 000F 0444 4212 4444 4442 1244 4444"            /* O...DB.DDDB.DDD */
	$"444F 000F 0444 4212 4444 4442 1244 4444"            /* DO...DB.DDDB.DDD */
	$"444F 000F 0444 4212 4444 4442 1244 4444"            /* DO...DB.DDDB.DDD */
	$"444F 000F 0424 4212 4424 2442 1244 2444"            /* DO...$B.D$$B.D$D */
	$"444F 000F 0442 4212 4244 4242 1242 4444"            /* DO...BB.BDBB.BDD */
	$"444F 000F 0444 2212 2444 4422 1224 4444"            /* DO...D".$DD".$DD */
	$"444F 000F 0444 4222 4444 4442 2244 4444"            /* DO...DB"DDDB"DDD */
	$"444F 000F 0444 4424 4444 4444 2444 4444"            /* DO...DD$DDDD$DDD */
	$"444F 000F 0444 4444 4444 4444 4444 4444"            /* DO...DDDDDDDDDDD */
	$"F44F F00F 0444 4433 3444 3333 3444 4444"            /* O..DD34D334DDD */
	$"FF4F FF0F 0444 4344 4344 3444 4444 4444"            /* O..DCDCD4DDDDD */
	$"F0F0 F0F0 4444 4344 4344 3444 4444 4444"            /* DDCDCD4DDDDD */
	$"F000 F044 4444 4344 4344 3333 4444 4444"            /* .DDDCDCD33DDDD */
	$"F000 F044 4444 4344 4344 4444 3444 4444"            /* .DDDCDCDDD4DDD */
	$"F000 F044 4444 4344 4344 4444 3444 4444"            /* .DDDCDCDDD4DDD */
	$"F000 F044 4444 4433 3444 3333 4444 4444"            /* .DDDD34D33DDDD */
	$"F000 F044 4444 4444 4444 4444 4444 4444"            /* .DDDDDDDDDDDDD */
	$"F000 F044 4444 4444 4444 4444 4444 4444"            /* .DDDDDDDDDDDDD */
	$"F000 F044 4444 4444 4444 4444 4444 4444"            /* .DDDDDDDDDDDDD */
	$"F000 0FFF FFFF FFFF FFFF FFFF FFFF FFFF"            /* .. */
	$"0000"                                               /* .. */
};

data 'cicn' (129) {
	$"0000 0000 8010 0000 0000 0020 0020 0000"            /* .......... . .. */
	$"0000 0000 0000 0048 0000 0048 0000 0000"            /* .......H...H.... */
	$"0004 0001 0004 0000 0000 0000 0000 0000"            /* ................ */
	$"0000 0000 0000 0004 0000 0000 0020 0020"            /* ............. .  */
	$"0000 0000 0004 0000 0000 0020 0020 0000"            /* ........... . .. */
	$"0000 7FFF FFF0 FFFF FFF8 FFFF FFF8 FFFF"            /* ... */
	$"FFF8 FFFF FFF8 FFFF FFF8 FFFF FFF8 FFFF"            /*  */
	$"FFFC FFFF FFFC FFFF FFFE FFFF FFFF 7FFF"            /* . */
	$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"            /*  */
	$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"            /*  */
	$"FFFF FFFF FFFF 7FFF FFFF FFFF FFFF FFFF"            /* . */
	$"FFFE FFFF FFFC FFFF FFFC FFFF FFF8 FFFF"            /*  */
	$"FFF8 FFFF FFF8 FFFF FFF8 FFFF FFF8 FFFF"            /*  */
	$"FFF8 7FFF FFF0 807F FE08 81FF FF88 83FF"            /* ... */
	$"FFC8 87FC 3FE8 8FE4 4BF8 9FE4 49F8 BFF4"            /* ȇ?KI */
	$"49FC BFF8 497C FFFC 313E FFFE 001F 7BFF"            /* II|1>..{ */
	$"141F F9FF 941F F0FF D40F F07F F40F F27F"            /* ....... */
	$"F48F F15F FD0F F0DF FE0F F077 FE0F F823"            /* _..w.# */
	$"FF1F 7801 FF9F F838 FFFF FC44 FFFE BE44"            /* .x.8DD */
	$"BFFC BF44 FFFC 9FC4 0FF8 8FC4 0FF8 87F8"            /* D.. */
	$"FFE8 83FF FFC8 81FF FF88 807F FE08 7FFF"            /* ȁ... */
	$"FFF0 0000 0000 0000 0006 0000 FFFF FFFF"            /* .......... */
	$"FFFF 0001 3333 FFFF 9999 0002 0000 BBBB"            /* ..33.... */
	$"0000 0003 0000 9999 FFFF 0004 DDDD DDDD"            /* ........ */
	$"DDDD 0005 DDDD 0000 0000 000F 0000 0000"            /* ............ */
	$"0000 0FFF FFFF FFFF 5555 5555 FFFF FFFF"            /* ...UUUU */
	$"0000 F000 0000 0555 5555 5555 5550 0000"            /* ......UUUUUUP.. */
	$"F000 F044 4445 5555 5555 5555 5555 5444"            /* .DDEUUUUUUUUTD */
	$"F000 F044 4455 5555 5555 5555 5555 5544"            /* .DDUUUUUUUUUUD */
	$"F000 F044 4555 5555 5544 4455 5555 5554"            /* .DEUUUUDDUUUUT */
	$"F000 F044 5555 5554 4544 4544 5455 5555"            /* .DUUUTEDEDTUUU */
	$"F000 F045 5555 5554 4544 4544 5445 5555"            /* .EUUUTEDEDTEUU */
	$"5000 F055 5555 5555 4544 4544 5445 5555"            /* P.UUUUUEDEDTEUU */
	$"5500 F055 5555 5555 5444 4544 5445 4555"            /* U.UUUUUTDEDTEEU */
	$"5500 F555 5555 5555 5544 4455 4445 4455"            /* U.UUUUUUDDUDEDU */
	$"5550 F555 5555 5555 5554 4444 4444 4445"            /* UPUUUUUUTDDDDDE */
	$"555F 0555 5455 5555 5555 4442 1244 4445"            /* U_.UTUUUUUDB.DDE */
	$"555F 5555 5445 5555 5555 5442 1244 4445"            /* U_UUTEUUUUTB.DDE */
	$"5555 5555 0444 5555 5555 5542 1244 4444"            /* UUUU.DUUUUUB.DDD */
	$"5555 5555 0444 4555 5555 5552 1244 4444"            /* UUUU.DEUUUUR.DDD */
	$"5555 5555 0424 4255 5555 5555 1244 2444"            /* UUUU.$BUUUUU.D$D */
	$"5555 5555 0442 4215 5555 5555 5242 4444"            /* UUUU.BB.UUUURBDD */
	$"5555 5555 0444 2212 5555 5555 5524 4444"            /* UUUU.D".UUUUU$DD */
	$"5555 5555 0444 4222 4555 5555 5554 4444"            /* UUUU.DB"EUUUUTDD */
	$"5555 5555 5444 4424 4455 5555 5555 4445"            /* UUUUTDD$DUUUUUDE */
	$"5555 0555 5444 4444 4445 5555 5555 5445"            /* UU.UTDDDDEUUUUTE */
	$"555F F555 5444 4433 3444 5555 5555 5555"            /* U_UTDD34DUUUUUU */
	$"555F F555 5544 4344 4344 3555 5555 5555"            /* U_UUDCDCD5UUUUU */
	$"5550 F055 5554 4344 4344 3455 5555 5555"            /* UPUUTCDCD4UUUUU */
	$"5500 F055 5555 4344 4344 3333 5555 5555"            /* U.UUUCDCD33UUUU */
	$"5500 F045 5555 5344 4344 4444 3555 5555"            /* U.EUUSDCDDD5UUU */
	$"5000 F044 5555 5544 4344 4444 5555 5555"            /* P.DUUUDCDDDUUUU */
	$"F000 F044 4555 5555 5444 3335 5555 5554"            /* .DEUUUTD35UUUT */
	$"F000 F044 4455 5555 5555 5555 5555 5544"            /* .DDUUUUUUUUUUD */
	$"F000 F044 4445 5555 5555 5555 5555 5444"            /* .DDEUUUUUUUUTD */
	$"F000 F044 4444 4555 5555 5555 5554 4444"            /* .DDDEUUUUUUTDD */
	$"F000 0FFF FFFF FFFF 5555 5555 FFFF FFFF"            /* ..UUUU */
	$"0000"                                               /* .. */
};

resource 'BNDL' (128) {
	'AECI',
	0,
	{	/* array TypeArray: 2 elements */
		/* [1] */
		'FREF',
		{	/* array IDArray: 1 elements */
			/* [1] */
			0, 128
		},
		/* [2] */
		'ICN#',
		{	/* array IDArray: 1 elements */
			/* [1] */
			0, 128
		}
	}
};

data 'AECI' (0, "Owner resource") {
	$"00"                                                 /* . */
};


