/*
	File:		FBA.h

	Contains:	

	Written by: Greg Sutton	

	Copyright:	Copyright  1996-1999 by Apple Computer, Inc., All Rights Reserved.

				You may incorporate this Apple sample source code into your program(s) without
				restriction. This Apple sample source code has been provided "AS IS" and the
				responsibility for its operation is yours. You are not permitted to redistribute
				this Apple sample source code as "Apple sample source code" after having made
				changes. If you're going to re-distribute the source, we require that you make
				it clear in the source that the code was descended from Apple sample source
				code, but that you've made changes.

	Change History (most recent first):
				7/21/1999	Karl Groethe	Updated for Metrowerks Codewarror Pro 2.1
				

*/
#pragma once


#include <Types.h>

// Use this DEVELOPMENT #define to allow debugging with source level debugger.
// You must also change the following flags for the 'SIZE' resource
//	Set 'doesAcivateOnFGSwitch' to 1
//	Set 'onlyBackground'		to 0
// You can use a script to quit the application - no menu bar you see
//#define DEVELOPMENT

#define kFatalErr			 1
#define kNotFatalErr		 0

#define kCycleTimeResource		'Cycl'	// Tim in seconds to check all folders
#define kWatchFolderResource	'WFol'	// This resource stores all the folders to watch
#define kTargetAppResource		'Targ'	// Stores creator type of target application
										//  for modification Apple events.

#define	kFolderWatcherSuite		'wFWS'	// Our private Apple events to indicate modifications

enum
{
	kTypeFileAdded = 'wTFA', kTypeFileRemoved = 'wTFR', kTypeFileModified = 'wTFC'
};


unsigned long	GetCycleTime( void );
