/*
	File:		FBAAppleEvents.h

	Contains:	

	Written by: Greg Sutton	

	Copyright:	Copyright  1996-1999 by Apple Computer, Inc., All Rights Reserved.

				You may incorporate this Apple sample source code into your program(s) without
				restriction. This Apple sample source code has been provided "AS IS" and the
				responsibility for its operation is yours. You are not permitted to redistribute
				this Apple sample source code as "Apple sample source code" after having made
				changes. If you're going to re-distribute the source, we require that you make
				it clear in the source that the code was descended from Apple sample source
				code, but that you've made changes.

	Change History (most recent first):
				7/21/1999	Karl Groethe	Updated for Metrowerks Codewarror Pro 2.1
				

*/


#pragma once

#include <Processes.h>
#include <Files.h>
#include <AppleEvents.h>

OSErr	InitAppleEvents ( void );
OSErr	DoAppleEvent ( EventRecord *event );

OSErr	SendChangeEvent( ProcessSerialNumber* thePSN, FSSpec* theSpec, DescType theChangeType );
